summaryrefslogtreecommitdiffstats
path: root/audio/last.fm
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:49 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:49 +0200
commitc0b7ead6241fefb332ddfdec4aea1e0e8170cd46 (patch)
tree93ac9e5164a94832fafea1b76477da6d823ef3d1 /audio/last.fm
parent8c8a417816ea122f05fb208b20d3bd454013728a (diff)
downloadslackbuilds-c0b7ead6241fefb332ddfdec4aea1e0e8170cd46.tar.gz
slackbuilds-c0b7ead6241fefb332ddfdec4aea1e0e8170cd46.tar.xz
audio/last.fm: Moved from multimedia
Diffstat (limited to 'audio/last.fm')
-rw-r--r--audio/last.fm/README6
-rw-r--r--audio/last.fm/doinst.sh5
-rw-r--r--audio/last.fm/last.fm.SlackBuild59
-rw-r--r--audio/last.fm/last.fm.desktop10
-rw-r--r--audio/last.fm/last.fm.info8
-rw-r--r--audio/last.fm/last.fm.script3
-rw-r--r--audio/last.fm/slack-desc12
7 files changed, 103 insertions, 0 deletions
diff --git a/audio/last.fm/README b/audio/last.fm/README
new file mode 100644
index 0000000000..f2ec82b0e1
--- /dev/null
+++ b/audio/last.fm/README
@@ -0,0 +1,6 @@
+With Last.fm on your computer you can scrobble your tracks,
+share your music tastes, listen to personalised radio streams,
+and discover new music and people.
+Last.fm is open source software and contains no spyware or adware.
+
+last.fm requires QT4, which is also available at SlackBuilds.org.
diff --git a/audio/last.fm/doinst.sh b/audio/last.fm/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/audio/last.fm/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/last.fm/last.fm.SlackBuild b/audio/last.fm/last.fm.SlackBuild
new file mode 100644
index 0000000000..c30441ed31
--- /dev/null
+++ b/audio/last.fm/last.fm.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for last.fm
+# Written by <youngmug@animeneko.net>
+# Modified by the SlackBuilds.org project
+
+# Exit on most errors
+set -e
+
+PRGNAM=last.fm
+VERSION=1.3.2.13
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+qmake-qt4 -config release
+make
+
+#Last.fm doesn't have a nice installer, so we need to package it manually.
+mkdir -p $PKG/usr/lib/$PRGNAM $PKG/usr/bin $PKG/usr/share/applications
+cp -R bin/* $PKG/usr/lib/$PRGNAM
+cat $CWD/last.fm.script > $PKG/usr/bin/last.fm
+cat $CWD/last.fm.desktop > $PKG/usr/share/applications/last.fm.desktop
+chmod +x $PKG/usr/bin/last.fm
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/last.fm/last.fm.desktop b/audio/last.fm/last.fm.desktop
new file mode 100644
index 0000000000..0d354b33c4
--- /dev/null
+++ b/audio/last.fm/last.fm.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=last.fm
+GenericName=last.fm Player
+Comment=Listen to last.fm streams
+Exec=last.fm
+Icon=/usr/lib/last.fm/data/icons/as.png
+Categories=Application;Qt;AudioVideo;Player;
+Terminal=false
+Type=Application
+Encoding=UTF-8
diff --git a/audio/last.fm/last.fm.info b/audio/last.fm/last.fm.info
new file mode 100644
index 0000000000..ffb9fab2b9
--- /dev/null
+++ b/audio/last.fm/last.fm.info
@@ -0,0 +1,8 @@
+PRGNAM="last.fm"
+VERSION="1.3.2.13"
+HOMEPAGE="http://last.fm/"
+DOWNLOAD="http://cdn.last.fm/client/src/last.fm-1.3.2.13.src.tar.bz2"
+MD5SUM="a4ec606857e7c1dce3c251741cc7923e"
+MAINTAINER="Michael Johnson"
+EMAIL="youngmug@animeneko.net"
+APPROVED="Erik Hanson,rworkman"
diff --git a/audio/last.fm/last.fm.script b/audio/last.fm/last.fm.script
new file mode 100644
index 0000000000..39d521c116
--- /dev/null
+++ b/audio/last.fm/last.fm.script
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/lib/last.fm
+./last.fm "$@"
diff --git a/audio/last.fm/slack-desc b/audio/last.fm/slack-desc
new file mode 100644
index 0000000000..c9a3d75d29
--- /dev/null
+++ b/audio/last.fm/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler-----------------------------------------------------|
+last.fm: last.fm (Standalone Player for last.fm)
+last.fm:
+last.fm: With Last.fm on your computer you can scrobble your tracks,
+last.fm: share your music tastes, listen to personalized radio streams,
+last.fm: and discover new music and people.
+last.fm:
+last.fm: Last.fm is open source software and contains no spyware or adware.
+last.fm:
+last.fm: Homepage: http://last.fm/
+last.fm:
+last.fm: